const system=require("../../../system");
const ServiceBase=require("../../svems.base");
var settings=require("../../../../config/settings");
class SaasInvoiceService extends ServiceBase{
   constructor(){
     super();
   }

   /**
    * 发票信息管理
    * @param {*} params 
    */
   async merchantTitleAddrPage(params){
      return await this.callms("merchant","merchantTitleAddrPage",params);
   }

    /**
    * 发票信息修改
    * @param {*} params 
    */
   async updateMerchantTitleAndAddr(params){
      return await this.callms("merchant","updateMerchantTitleAndAddr",params);
   }

    /**
    * query invoice title&addr information
    * @param {*} params 
    */
   async queryInvoiceTitleAndAddr(params){
      return await this.callms("merchant","queryInvoiceTitleAndAddr",params);
   }
   /**
    * 更新添加title&addr
    * @param {*} params 
    */
   async updateOrSaveTitleAndAddr(params){
      return await this.callms("merchant","updateOrSaveTitleAndAddr",params);
   }
}
module.exports=SaasInvoiceService;
